/****************************************************************************************/
/* This is a sample code for how to apply the formats and labels to the ACBS data sets.	*/
/* Here we assume that:																	*/
/* 1) SAS programs are saved in the 'C:\mypgms' folder, 	 							*/
/* 2) ACBS data sets are saved in the 'C:\mysource' folder, and 						*/
/* 3) the LIBRARY location is 'C:\library'.				 								*/
/****************************************************************************************/

libname LIBRARY "C:\library";
libname source "C:\mysource";

/* Ddefine formats */
%include "C:\mypgms\ProcFormat_Asthma_2012.sas";

/* specify the data type, i.e. landline only data or landline-cellphone combined data.
  for landline only data: 	%let surveyType=ASTHMA;
  for landline-cellphone combined data: 	%let surveyType=ASTHMACELL;
*/
%let surveyType=ASTHMA;

/* Apply the formats and labels to the adult dataset */
%include "C:\mypgms\FmtStmt_Asthma_ADULT_2012.sas";
%include "C:\mypgms\LblStmt_Asthma_ADULT_2012.sas";

data adult;
  set source.acbs_2012_adult_public;
  %FORMAT_ADULT;
  %LABEL_ADULT;
run;

/* Apply the formats and labels to the child dataset */
%include "C:\mypgms\FmtStmt_Asthma_CHILD_2012.sas";
%include "C:\mypgms\LblStmt_Asthma_CHILD_2012.sas";

data CHILD;
  set source.acbs_2012_child_public;
  %FORMAT_CHILD;
  %LABEL_CHILD;
run;
